## org.apache.batik.css.engine
Class FontFaceRule

    java.lang.Object
      org.apache.batik.css.engine.FontFaceRule

All Implemented Interfaces:
  Rule

public class FontFaceRule
extends java.lang.Object
implements Rule

This class represents a @font-face CSS rule. This mostly exists to give us a place to store the URI to be used for 'src' URI resolution.

Field Summary
`static short` `TYPE` The type constant.

Constructor Summary
`FontFaceRule(StyleMap sm, ParsedURL purl)`

Method Summary
`StyleMap` `getStyleMap()` Returns the StyleMap from the @font-face rule.
`short` `getType()` Returns a constant identifying the rule type.
`ParsedURL` `getURL()` Returns the URI of the @font-face rule.
`java.lang.String` `toString(CSSEngine eng)` Returns a printable representation of this rule.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE

    public static final short TYPE

  The type constant.

  See Also:
    Constant Field Values

Constructor Detail

### FontFaceRule

    public FontFaceRule(StyleMap sm,
                        ParsedURL purl)

Method Detail

### getType

    public short getType()

  Returns a constant identifying the rule type.

  Specified by:
    `getType` in interface `Rule`

### getURL

    public ParsedURL getURL()

  Returns the URI of the @font-face rule.

### getStyleMap

    public StyleMap getStyleMap()

  Returns the StyleMap from the @font-face rule.

### toString

    public java.lang.String toString(CSSEngine eng)

  Returns a printable representation of this rule.

  Specified by:
    `toString` in interface `Rule`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.